Package org.spongepowered.asm.mixin.injection.invoke

## Class ModifyConstantInjector

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.code.Injector
  - - org.spongepowered.asm.mixin.injection.invoke.InvokeInjector
    - - org.spongepowered.asm.mixin.injection.invoke.RedirectInjector
      - - org.spongepowered.asm.mixin.injection.invoke.ModifyConstantInjector

    public class ModifyConstantInjector
    extends RedirectInjector

A bytecode injector which allows a specific constant value to be identified and replaced with a callback. For details see javadoc for `@ModifyConstant`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.spongepowered.asm.mixin.injection.code.Injector

`Injector.InjectorData, Injector.TargetNode`

### Field Summary

### Fields inherited from class org.spongepowered.asm.mixin.injection.invoke.RedirectInjector

`meta`

### Fields inherited from class org.spongepowered.asm.mixin.injection.code.Injector

`annotationType, classNode, info, isInterface, isStatic, logger, methodArgs, methodNode, returnType`

### Constructor Summary

Constructors
`ModifyConstantInjector​(InjectionInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `inject​(Target target, InjectionNodes.InjectionNode node)`

### Methods inherited from class org.spongepowered.asm.mixin.injection.invoke.RedirectInjector

`addTargetNode, checkTarget, injectAtConstructor, injectAtInstanceOf, injectAtInstanceOf, injectAtInvoke, postInject, preInject`

### Methods inherited from class org.spongepowered.asm.mixin.injection.invoke.InvokeInjector

`sanityCheck`

### Methods inherited from class org.spongepowered.asm.mixin.injection.code.Injector

`addTargetNode, canCoerce, canCoerce, canCoerce, checkCoerce, checkTargetForNode, checkTargetModifiers, find, findTargetNodes, inject, invokeHandler, invokeHandler, invokeHandlerWithArgs, invokeHandlerWithArgs, preInject, preInject, pushArgs, pushArgs, storeArgs, storeArgs, storeArgs, storeArgs, throwException, toString, validateParams`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModifyConstantInjector

    public ModifyConstantInjector​(InjectionInfo info)

Parameters:
  `info` - Injection info

### Method Detail

#### inject

    protected void inject​(Target target,
                          InjectionNodes.InjectionNode node)

Overrides:
  `inject` in class `RedirectInjector`